Subject: [Sip] question about Contact header

From: George Petrov Georgiev-Rusiichev <[email-masked]>
Date: Thu, 30 Oct 2003 10:33:56 +0200

Hi all
  I'm not sure that hare is the most appropriate place to ask this
  question, but is there anybody who can give me an idea whether Contact: header
  could exist as a multiple header field rows. In RFC3261 is
  written :

Multiple header field rows with the same field-name MAY be present in
   a message if and only if the entire field-value for that header field
   is defined as a comma-separated list (that is, if follows the grammar
   defined in Section 7.3).  

 And the grammar for Contact: is

Contact        =  ("Contact" / "m" ) HCOLON
                  ( STAR / (contact-param *(COMMA contact-param)))

 which doesn't match
                  
header  =  "header-name" HCOLON header-value *(COMMA header-value)
  
The problem is that there are many servers that puts Contact: in multiple header
field rows e.g. SIP Express router (SER)

-- 
 George                          mailto:[email-masked]

_______________________________________________
Sip mailing list  https://www1.ietf.org/mailman/listinfo/sip
This list is for NEW development of the core SIP Protocol
Use [email-masked] for questions on current sip
Use [email-masked] for new developments on the application of sip

---

From: Charles Eckel <[email-masked]>
Date: Thu, 30 Oct 2003 07:49:46 -0800

Hi George,

Yes. The following are both valid:

Contact: <sip:[email-masked]>
Contact: <sip:[email-masked]>

and

Contact: <sip:[email-masked]>,<sip:[email-masked]>

Cheers,
Charles